Net::Twitter::OAuth(3pm)

NAME
Net::Twitter::OAuth - Net::Twitter with 'Legacy' and 'OAuth' roles for backwards compatibility

VERSION
version 4.01002

SYNOPSIS
  use Net::Twitter;

  my $nt = Net::Twitter::OAuth->new(consumer_key => $key, consumer_secret => $secret);

DESCRIPTION
This module simply creates an instance of "Net::Twitter" with the "Legacy" and "OAuth" traits applied. It is provided as a transparent backwards compatibility layer for earlier versions of Net::Twitter::OAuth which subclassed Net::Twitter.

See Net::Twitter and Net::Twitter::Role::OAuth for full documentation.

DEPRECATION NOTICE
This module is deprecated. Use Net::Twitter instead.

    use Net::Twitter;

    # Just the REST API; exceptions thrown on error
    $nt = Net::Twitter->new(traits => [qw/API::RESTv1_1 OAuth/]);

    # Just the REST API; errors wrapped - use $nt->get_error
    $nt = Net::Twitter->new(traits => [qw/API::RESTv1_1 WrapError/]);

    # Or, for code that uses legacy Net::Twitter idioms
    $nt = Net::Twitter->new(traits => [qw/Legacy OAuth/]);

METHODS

new Creates a "Net::Twitter" object with the "Legacy" and "OAuth" traits. See "new" in Net::Twitter for "new" options.

SEE ALSO
Net::Twitter, Net::Twitter::Role::OAuth

AUTHORS
Marc Mims <marc@questright.com> Tatsuhiko Miyagawa <miyagawa@bulknews.net>

LICENSE
This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.